<jds-bi-modal
  id="modal-dataset-status"
  #modal
  [position]="'center'"
>
  <ng-container ngProjectAs="header">
    <h6>{{ getTitle(status) }} Dataset</h6>
    <button
      class="t-button-close"
      (click)="closeModal()"
      role="button"
      type="button"
    >
      <jds-bi-icon
        [size]="14"
        name="xmark"
      />
    </button>
  </ng-container>
  <ng-container ngProjectAs="body">
    <form
      class="form"
      #datasetStatusForm="ngForm"
      [formGroup]="datasetHistoryFormGroup"
      (ngSubmit)="onSubmit()"
      (keydown.enter)="$event.stopPropagation()"
    >
      <div
        *ngrxLet="f.notes; let iNotes"
        [ngClass]="jds.mb(16)"
      >
        <label [ngClass]="jds.formLabel">
          Catatan <span [ngClass]="jds.text('danger')">*</span>
        </label>
        <textarea
          class="form-control"
          [colorScheme]="colorScheme"
          jdsBiInput
          placeholder="Contoh : Dataset ini berisi data Indeks Keamanan Informasi di Provinsi Jawa Barat periode tahun 2019"
          rows="5"
          formControlName="notes"
        ></textarea>
        <ng-container
          *ngIf="iNotes?.invalid && (iNotes?.dirty || iNotes?.touched)"
        >
          <div
            *ngIf="iNotes?.errors.required"
            [ngClass]="[jds.formText, jds.text('danger')]"
          >
            Harus diisi.
          </div>
        </ng-container>
      </div>
    </form>
  </ng-container>
  <ng-container ngProjectAs="footer">
    <button
      [colorScheme]="'gray'"
      [variant]="'outline'"
      [ngClass]="[jds.me(8)]"
      (click)="closeModal()"
      type="button"
      jdsBiButton
    >
      Batal
    </button>
    <button
      [colorScheme]="colorScheme"
      [disabled]="!datasetStatusForm.valid"
      (click)="datasetStatusForm.ngSubmit.emit('Save')"
      type="submit"
      jdsBiButton
    >
      Kirim
    </button>
  </ng-container>
</jds-bi-modal>
